# Streamlining Your AJAX Requests with AmplifyJS and jQuery – Live Coding Source Code

This code was used in the Streamlining Your AJAX Requests with AmplifyJS and jQuery presentation delivered at
[RIA Unleashed](http://riaunleashed.com) in Waltham, MA.

Note: Most of this code was revealed during the live coding session. Only the result remains in this source code format, but you will need to comment out items to step through the code again. Here are a few notes about the concepts presented:

## How to play with this code:

(Check the page between each of the steps to see the changes)

1. Comment out the second portion of `mock-request-definitions.js` to see the initial mock syntax
2. Uncomment the second portion of `mock-request-definitions.js` to see mockJSON in use.
3. Comment out both mock files from `index.html` AND comment out the second request definition in `request-definitions.js` to see the real Dribbble API
4. Uncomment the second portion of `request-definitions.js` to see the decoder in action as we use the Forrst API

## Font License

Please see the `SIL Open Font License 1.1.txt` file in the `fonts/ostrich-sans-fontfacekit` directory for information on the license for the Ostrich Sans web font used in this project. `@font-face` kit used was downloaded from [Font Squirrel](http://fontsquirrel.com).

## Included Libraries and Assets
* Website theme built on a stripped down version of [HTML5 Boilerplate](http://html5boilerplate.com)
* [Modernizr](http://modernizr.com)
* [jQuery](http://jquery.com)
* [Amplify JS](http://amplifyjs.com)
* [jQuery MockJSON](http://experiments.mennovanslooten.nl/2010/mockjson)
* [jQuery doTimeout](http://benalman.com/projects/jquery-dotimeout-plugin/)
* [jQuery Tmpl](https://github.com/jquery/jquery-tmpl)

## Code License (MIT)

All code not mentioned in the **Font** or **Included Libraries** section uses the following license:

Copyright (c) 2011 Douglas C. Neiner

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.